Subject: Re: 2.5 or 2.4 kernel profiling

From: Dan Malek <[email-masked]>
Date: Thu, 14 Dec 2000 11:58:15 -0500

Graham Stoney wrote:

> > The advantage of Graham's DMA into skbufs isn't that the driver doesn't
> > copy/sum, it is that later when the IP stack does it we get burst transfers
> > into cache.
>
> But we get burst transfers into cache in either case,

No, because I originally allocated the receive buffers uncached.
Only cached/copyback pages will burst on the bus.  The CPM DMA will
always burst.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/